# ScopeSetter Class Reference

Inheritance diagram for ScopeSetter:
[legend]

List of all members.

## Public Member Functions

| __construct (EntityProto $proto, &$object)
| set ($name, $value)
| getGetter ()

## Private Attributes

| $getter = null

## Detailed Description

Definition at line 12 of file ScopeSetter.class.php.

## Constructor & Destructor Documentation

ScopeSetter::__construct | ( | EntityProto $ | proto,
|  | &$ | object |
| ) |  |  |

Reimplemented from PrototypedMethodCaller.

Definition at line 16 of file ScopeSetter.class.php.

References PrototypedMethodCaller::$object, and Assert::isArray().

Here is the call graph for this function:

## Member Function Documentation

ScopeSetter::getGetter | ( |  | ) |

Returns:
  ScopeGetter

Reimplemented from PrototypedSetter.

Definition at line 42 of file ScopeSetter.class.php.

ScopeSetter::set | ( | $ | name,
|  | $ | value |
| ) |  |  |

Reimplemented from PrototypedSetter.

Definition at line 23 of file ScopeSetter.class.php.

References Assert::isTrue().

Here is the call graph for this function:

## Member Data Documentation

ScopeSetter::$getter = null`[private]`

Definition at line 14 of file ScopeSetter.class.php.

The documentation for this class was generated from the following file:

- main/EntityProto/Accessors/ScopeSetter.class.php